Finalizing software versions for testing

Hi all,

I am trying to finalize the versions of software we are going to use for testing. I think it is important we state which versions of software passed IHE and OHIE Integration testing. This way others will know which version is required for a particular release. i.e. (OHIE Release 1.0 needs OpenHIM 1.0.0)

Below is what I have now, Feel free to add/modify my list or comment on spreadsheet linked below. Thanks.

https://docs.google.com/spreadsheets/d/1qvUJGIa3ULwxroGW07aaV7hSia_9VLZYCVtzYwyehdk/edit?usp=sharing

Software
Version
Resourcemap
2.13.4
DHIS2
2.17
MohawkCR
0.7.2
OpenEMPI
3.0
Apelon DTS
4.1.0.377
OpenHIM
1.0.0
OpenHIM Console
1.0.0
ohie-xds-mediator
???
openinfoman
???
openinfoman-hwr
???
OpenSHR-xds.b
0.4.1
OpenSHR-cdahandler
???
OpenSHR-content handler
2.0.0
OpenSHR-atna
???
OpenSHR-adpater
???
OpenSHR-odd
???

Hi Ryan,

I would probably wait until after connect-a-thon to finalize the versions as there will most likely be fixes to the software and (in the case of the Mohawk CR and OpenSHR modules) revisions in version numbers.

Cheers

-Justin

···

Hi all,

I am trying to finalize the versions of software we are going to use for testing. I think it is important we state which versions of software passed IHE and OHIE Integration testing. This way others will know which version is required for a particular release. i.e. (OHIE Release 1.0 needs OpenHIM 1.0.0)

Below is what I have now, Feel free to add/modify my list or comment on spreadsheet linked below. Thanks.

https://docs.google.com/spreadsheets/d/1qvUJGIa3ULwxroGW07aaV7hSia_9VLZYCVtzYwyehdk/edit?usp=sharing

Software

Version

Resourcemap

2.13.4

DHIS2

2.17

MohawkCR

0.7.2

OpenEMPI

3.0

Apelon DTS

4.1.0.377

OpenHIM

1.0.0

OpenHIM Console

1.0.0

ohie-xds-mediator

???

openinfoman

???

openinfoman-hwr

???

OpenSHR-xds.b

0.4.1

OpenSHR-cdahandler

???

OpenSHR-content handler

2.0.0

OpenSHR-atna

???

OpenSHR-adpater

???

OpenSHR-odd

???

Justin,
Does that mean that you think we should not begin official Integration testing until after connectathon is completed?
Jennifer
Jennifer E. Shivers
jennifer.e.shivers@gmail.com
317.797.1200
Skype: jennifer.shivers

···

On Jan 14, 2015, at 9:40 AM, Justin Fyfe <justin.fyfe@ecgroupinc.com> wrote:

Hi Ryan,

I would probably wait until after connect-a-thon to finalize the versions as there will most likely be fixes to the software and (in the case of the Mohawk CR and OpenSHR modules) revisions in version numbers.

Cheers
-Justin

From: Ryan Yates [mailto:ryan@openmrs.org]
Sent: Wednesday, January 14, 2015 9:33 AM
To: ohie-architecture@googlegroups.com <mailto:ohie-architecture@googlegroups.com>
Cc: Ryan Crichton; Eduardo Jezierski; Bob Jolliffe; Justin Fyfe; Jack Bowie (jbowie@apelon.com <mailto:jbowie@apelon.com>); Carl Leitner
Subject: Finalizing software versions for testing

Hi all,

I am trying to finalize the versions of software we are going to use for testing. I think it is important we state which versions of software passed IHE and OHIE Integration testing. This way others will know which version is required for a particular release. i.e. (OHIE Release 1.0 needs OpenHIM 1.0.0)
Below is what I have now, Feel free to add/modify my list or comment on spreadsheet linked below. Thanks.

https://docs.google.com/spreadsheets/d/1qvUJGIa3ULwxroGW07aaV7hSia_9VLZYCVtzYwyehdk/edit?usp=sharing

Software
Version
Resourcemap
2.13.4
DHIS2
2.17
MohawkCR
0.7.2
OpenEMPI
3.0
Apelon DTS
4.1.0.377
OpenHIM
1.0.0
OpenHIM Console
1.0.0
ohie-xds-mediator
???
openinfoman
???
openinfoman-hwr
???
OpenSHR-xds.b
0.4.1
OpenSHR-cdahandler
???
OpenSHR-content handler
2.0.0
OpenSHR-atna
???
OpenSHR-adpater
???
OpenSHR-odd
???

--
You received this message because you are subscribed to the Google Groups "OpenHIE Architecture" group.
To unsubscribe from this group and stop receiving emails from it, send an email to ohie-architecture+unsubscribe@googlegroups.com <mailto:ohie-architecture+unsubscribe@googlegroups.com>.
For more options, visit https://groups.google.com/d/optout.

IMO once we are done CAT testing we’ll know (definitively) if certain components implement the profiles correctly. If we start integration testing now (using current versions) and the software codebase needs to be updated at CAT, we’d need to re-run the integration tests on the new versions.

Cheers

-Justin

···

From: Jennifer E Shivers [mailto:jennifer.e.shivers@gmail.com]
Sent: Wednesday, January 14, 2015 9:44 AM
To: justin.fyfe@ecgroupinc.com
Cc: Jennifer E Shivers; ryan@openmrs.org; ohie-architecture@googlegroups.com; Ryan Crichton; Eduardo Jezierski; Bob Jolliffe; Jack Bowie; Carl Leitner
Subject: Re: Finalizing software versions for testing

Justin,

Does that mean that you think we should not begin official Integration testing until after connectathon is completed?

Jennifer

Jennifer E. Shivers

jennifer.e.shivers@gmail.com

317.797.1200

Skype: jennifer.shivers

On Jan 14, 2015, at 9:40 AM, Justin Fyfe justin.fyfe@ecgroupinc.com wrote:

Hi Ryan,

I would probably wait until after connect-a-thon to finalize the versions as there will most likely be fixes to the software and (in the case of the Mohawk CR and OpenSHR modules) revisions in version numbers.

Cheers

-Justin

From: Ryan Yates [mailto:ryan@openmrs.org]
Sent: Wednesday, January 14, 2015 9:33 AM
To: ohie-architecture@googlegroups.com
Cc: Ryan Crichton; Eduardo Jezierski; Bob Jolliffe; Justin Fyfe; Jack Bowie (jbowie@apelon.com); Carl Leitner
Subject: Finalizing software versions for testing

Hi all,

I am trying to finalize the versions of software we are going to use for testing. I think it is important we state which versions of software passed IHE and OHIE Integration testing. This way others will know which version is required for a particular release. i.e. (OHIE Release 1.0 needs OpenHIM 1.0.0)

Below is what I have now, Feel free to add/modify my list or comment on spreadsheet linked below. Thanks.

https://docs.google.com/spreadsheets/d/1qvUJGIa3ULwxroGW07aaV7hSia_9VLZYCVtzYwyehdk/edit?usp=sharing

Software

Version

Resourcemap

2.13.4

DHIS2

2.17

MohawkCR

0.7.2

OpenEMPI

3.0

Apelon DTS

4.1.0.377

OpenHIM

1.0.0

OpenHIM Console

1.0.0

ohie-xds-mediator

???

openinfoman

???

openinfoman-hwr

???

OpenSHR-xds.b

0.4.1

OpenSHR-cdahandler

???

OpenSHR-content handler

2.0.0

OpenSHR-atna

???

OpenSHR-adpater

???

OpenSHR-odd

???


You received this message because you are subscribed to the Google Groups “OpenHIE Architecture” group.
To unsubscribe from this group and stop receiving emails from it, send an email to ohie-architecture+unsubscribe@googlegroups.com.
For more options, visit https://groups.google.com/d/optout.

Thanks! This makes sense. I’ll mention this to Shaun.
J
Jennifer E. Shivers
jennifer.e.shivers@gmail.com
317.797.1200
Skype: jennifer.shivers

···

On Jan 14, 2015, at 9:55 AM, Justin Fyfe <justin.fyfe@ecgroupinc.com> wrote:

IMO once we are done CAT testing we’ll know (definitively) if certain components implement the profiles correctly. If we start integration testing now (using current versions) and the software codebase needs to be updated at CAT, we’d need to re-run the integration tests on the new versions.

Cheers
-Justin

From: Jennifer E Shivers [mailto:jennifer.e.shivers@gmail.com]
Sent: Wednesday, January 14, 2015 9:44 AM
To: justin.fyfe@ecgroupinc.com <mailto:justin.fyfe@ecgroupinc.com>
Cc: Jennifer E Shivers; ryan@openmrs.org <mailto:ryan@openmrs.org>; ohie-architecture@googlegroups.com <mailto:ohie-architecture@googlegroups.com>; Ryan Crichton; Eduardo Jezierski; Bob Jolliffe; Jack Bowie; Carl Leitner
Subject: Re: Finalizing software versions for testing

Justin,
Does that mean that you think we should not begin official Integration testing until after connectathon is completed?
Jennifer
Jennifer E. Shivers
jennifer.e.shivers@gmail.com <mailto:jennifer.e.shivers@gmail.com>
317.797.1200
Skype: jennifer.shivers

On Jan 14, 2015, at 9:40 AM, Justin Fyfe <justin.fyfe@ecgroupinc.com <mailto:justin.fyfe@ecgroupinc.com>> wrote:

Hi Ryan,

I would probably wait until after connect-a-thon to finalize the versions as there will most likely be fixes to the software and (in the case of the Mohawk CR and OpenSHR modules) revisions in version numbers.

Cheers
-Justin

From: Ryan Yates [mailto:ryan@openmrs.org]
Sent: Wednesday, January 14, 2015 9:33 AM
To: ohie-architecture@googlegroups.com <mailto:ohie-architecture@googlegroups.com>
Cc: Ryan Crichton; Eduardo Jezierski; Bob Jolliffe; Justin Fyfe; Jack Bowie (jbowie@apelon.com <mailto:jbowie@apelon.com>); Carl Leitner
Subject: Finalizing software versions for testing

Hi all,

I am trying to finalize the versions of software we are going to use for testing. I think it is important we state which versions of software passed IHE and OHIE Integration testing. This way others will know which version is required for a particular release. i.e. (OHIE Release 1.0 needs OpenHIM 1.0.0)
Below is what I have now, Feel free to add/modify my list or comment on spreadsheet linked below. Thanks.

https://docs.google.com/spreadsheets/d/1qvUJGIa3ULwxroGW07aaV7hSia_9VLZYCVtzYwyehdk/edit?usp=sharing

Software
Version
Resourcemap
2.13.4
DHIS2
2.17
MohawkCR
0.7.2
OpenEMPI
3.0
Apelon DTS
4.1.0.377
OpenHIM
1.0.0
OpenHIM Console
1.0.0
ohie-xds-mediator
???
openinfoman
???
openinfoman-hwr
???
OpenSHR-xds.b
0.4.1
OpenSHR-cdahandler
???
OpenSHR-content handler
2.0.0
OpenSHR-atna
???
OpenSHR-adpater
???
OpenSHR-odd
???

--
You received this message because you are subscribed to the Google Groups "OpenHIE Architecture" group.
To unsubscribe from this group and stop receiving emails from it, send an email to ohie-architecture+unsubscribe@googlegroups.com <mailto:ohie-architecture+unsubscribe@googlegroups.com>.
For more options, visit https://groups.google.com/d/optout.

I guess I should have added a disclaimer. If you intend on releasing a new version after the connectathon, that includes the modifications needed, you can fill in TBD. If you anticipate the version you can fill it in TBD-1.0 for example. This way we get an idea of when we can begin Integration testing after the connectathon.

···

On Wed, Jan 14, 2015 at 10:00 AM, Jennifer E Shivers jennifer.e.shivers@gmail.com wrote:

Thanks! This makes sense. I’ll mention this to Shaun.
J
Jennifer E. Shivers

jennifer.e.shivers@gmail.com

317.797.1200

Skype: jennifer.shivers

On Jan 14, 2015, at 9:55 AM, Justin Fyfe justin.fyfe@ecgroupinc.com wrote:

IMO once we are done CAT testing we’ll know (definitively) if certain components implement the profiles correctly. If we start integration testing now (using current versions) and the software codebase needs to be updated at CAT, we’d need to re-run the integration tests on the new versions.

Cheers

-Justin

From: Jennifer E Shivers [mailto:jennifer.e.shivers@gmail.com]
Sent: Wednesday, January 14, 2015 9:44 AM
To: justin.fyfe@ecgroupinc.com
Cc: Jennifer E Shivers; ryan@openmrs.org; ohie-architecture@googlegroups.com; Ryan Crichton; Eduardo Jezierski; Bob Jolliffe; Jack Bowie; Carl Leitner
Subject: Re: Finalizing software versions for testing

Justin,

Does that mean that you think we should not begin official Integration testing until after connectathon is completed?

Jennifer

Jennifer E. Shivers

jennifer.e.shivers@gmail.com

317.797.1200

Skype: jennifer.shivers

On Jan 14, 2015, at 9:40 AM, Justin Fyfe justin.fyfe@ecgroupinc.com wrote:

Hi Ryan,

I would probably wait until after connect-a-thon to finalize the versions as there will most likely be fixes to the software and (in the case of the Mohawk CR and OpenSHR modules) revisions in version numbers.

Cheers

-Justin

From: Ryan Yates [mailto:ryan@openmrs.org]
Sent: Wednesday, January 14, 2015 9:33 AM
To: ohie-architecture@googlegroups.com
Cc: Ryan Crichton; Eduardo Jezierski; Bob Jolliffe; Justin Fyfe; Jack Bowie (jbowie@apelon.com); Carl Leitner
Subject: Finalizing software versions for testing

Hi all,

I am trying to finalize the versions of software we are going to use for testing. I think it is important we state which versions of software passed IHE and OHIE Integration testing. This way others will know which version is required for a particular release. i.e. (OHIE Release 1.0 needs OpenHIM 1.0.0)

Below is what I have now, Feel free to add/modify my list or comment on spreadsheet linked below. Thanks.

https://docs.google.com/spreadsheets/d/1qvUJGIa3ULwxroGW07aaV7hSia_9VLZYCVtzYwyehdk/edit?usp=sharing

Software

Version

Resourcemap

2.13.4

DHIS2

2.17

MohawkCR

0.7.2

OpenEMPI

3.0

Apelon DTS

4.1.0.377

OpenHIM

1.0.0

OpenHIM Console

1.0.0

ohie-xds-mediator

???

openinfoman

???

openinfoman-hwr

???

OpenSHR-xds.b

0.4.1

OpenSHR-cdahandler

???

OpenSHR-content handler

2.0.0

OpenSHR-atna

???

OpenSHR-adpater

???

OpenSHR-odd

???


You received this message because you are subscribed to the Google Groups “OpenHIE Architecture” group.
To unsubscribe from this group and stop receiving emails from it, send an email to ohie-architecture+unsubscribe@googlegroups.com.
For more options, visit https://groups.google.com/d/optout.

Will do.

···

I guess I should have added a disclaimer. If you intend on releasing a new version after the connectathon, that includes the modifications needed, you can fill in TBD. If you anticipate the version you can fill it in TBD-1.0 for example. This way we get an idea of when we can begin Integration testing after the connectathon.

On Wed, Jan 14, 2015 at 10:00 AM, Jennifer E Shivers jennifer.e.shivers@gmail.com wrote:

Thanks! This makes sense. I’ll mention this to Shaun.

J

Jennifer E. Shivers

jennifer.e.shivers@gmail.com

317.797.1200

Skype: jennifer.shivers

On Jan 14, 2015, at 9:55 AM, Justin Fyfe justin.fyfe@ecgroupinc.com wrote:

IMO once we are done CAT testing we’ll know (definitively) if certain components implement the profiles correctly. If we start integration testing now (using current versions) and the software codebase needs to be updated at CAT, we’d need to re-run the integration tests on the new versions.

Cheers

-Justin

From: Jennifer E Shivers [mailto:jennifer.e.shivers@gmail.com]
Sent: Wednesday, January 14, 2015 9:44 AM
To: justin.fyfe@ecgroupinc.com
Cc: Jennifer E Shivers; ryan@openmrs.org; ohie-architecture@googlegroups.com; Ryan Crichton; Eduardo Jezierski; Bob Jolliffe; Jack Bowie; Carl Leitner
Subject: Re: Finalizing software versions for testing

Justin,

Does that mean that you think we should not begin official Integration testing until after connectathon is completed?

Jennifer

Jennifer E. Shivers

jennifer.e.shivers@gmail.com

317.797.1200

Skype: jennifer.shivers

On Jan 14, 2015, at 9:40 AM, Justin Fyfe justin.fyfe@ecgroupinc.com wrote:

Hi Ryan,

I would probably wait until after connect-a-thon to finalize the versions as there will most likely be fixes to the software and (in the case of the Mohawk CR and OpenSHR modules) revisions in version numbers.

Cheers

-Justin

From: Ryan Yates [mailto:ryan@openmrs.org]
Sent: Wednesday, January 14, 2015 9:33 AM
To: ohie-architecture@googlegroups.com
Cc: Ryan Crichton; Eduardo Jezierski; Bob Jolliffe; Justin Fyfe; Jack Bowie (jbowie@apelon.com); Carl Leitner
Subject: Finalizing software versions for testing

Hi all,

I am trying to finalize the versions of software we are going to use for testing. I think it is important we state which versions of software passed IHE and OHIE Integration testing. This way others will know which version is required for a particular release. i.e. (OHIE Release 1.0 needs OpenHIM 1.0.0)

Below is what I have now, Feel free to add/modify my list or comment on spreadsheet linked below. Thanks.

https://docs.google.com/spreadsheets/d/1qvUJGIa3ULwxroGW07aaV7hSia_9VLZYCVtzYwyehdk/edit?usp=sharing

Software

Version

Resourcemap

2.13.4

DHIS2

2.17

MohawkCR

0.7.2

OpenEMPI

3.0

Apelon DTS

4.1.0.377

OpenHIM

1.0.0

OpenHIM Console

1.0.0

ohie-xds-mediator

???

openinfoman

???

openinfoman-hwr

???

OpenSHR-xds.b

0.4.1

OpenSHR-cdahandler

???

OpenSHR-content handler

2.0.0

OpenSHR-atna

???

OpenSHR-adpater

???

OpenSHR-odd

???


You received this message because you are subscribed to the Google Groups “OpenHIE Architecture” group.
To unsubscribe from this group and stop receiving emails from it, send an email to ohie-architecture+unsubscribe@googlegroups.com.
For more options, visit https://groups.google.com/d/optout.

Hi Ryan,
I don’t have permission to edit (at least not under
litlfred@gmail.com) but for the two OpenInfoMan pieces I have just tagged 1.0 releases that we will be testing against. If we need to make any changes (due to issues arising during CAT testing) we can bump the version.

There is also the (iHRIS) HWR Management Interface, which isn’t below. This will be version 4.2.0.

Cheers,

-carl

···

On Jan 14, 2015, at 9:33 AM, Ryan Yates ryan@openmrs.org wrote:

Hi all,

I am trying to finalize the versions of software we are going to use for testing. I think it is important we state which versions of software passed IHE and OHIE Integration testing. This way others will know which version is required for a
particular release. i.e. (OHIE Release 1.0 needs OpenHIM 1.0.0)

Below is what I have now, Feel free to add/modify my list or comment on spreadsheet linked below. Thanks.

https://docs.google.com/spreadsheets/d/1qvUJGIa3ULwxroGW07aaV7hSia_9VLZYCVtzYwyehdk/edit?usp=sharing

Software
Version
Resourcemap
2.13.4
DHIS2
2.17
MohawkCR
0.7.2
OpenEMPI
3.0
Apelon DTS
4.1.0.377
OpenHIM
1.0.0
OpenHIM Console
1.0.0
ohie-xds-mediator
???
openinfoman
???
openinfoman-hwr
???
OpenSHR-xds.b
0.4.1
OpenSHR-cdahandler
???
OpenSHR-content handler
2.0.0
OpenSHR-atna
???
OpenSHR-adpater
???
OpenSHR-odd
???

Sorry about that everyone should be able to edit now. I have added iHRIS and the versions for openinfoman.

···

On Wed, Jan 14, 2015 at 10:04 AM, Carl Leitner cleitner@capacityplus.org wrote:

Hi Ryan,
I don’t have permission to edit (at least not under
litlfred@gmail.com) but for the two OpenInfoMan pieces I have just tagged 1.0 releases that we will be testing against. If we need to make any changes (due to issues arising during CAT testing) we can bump the version.

There is also the (iHRIS) HWR Management Interface, which isn’t below. This will be version 4.2.0.

Cheers,

-carl

On Jan 14, 2015, at 9:33 AM, Ryan Yates ryan@openmrs.org wrote:

Hi all,

I am trying to finalize the versions of software we are going to use for testing. I think it is important we state which versions of software passed IHE and OHIE Integration testing. This way others will know which version is required for a
particular release. i.e. (OHIE Release 1.0 needs OpenHIM 1.0.0)

Below is what I have now, Feel free to add/modify my list or comment on spreadsheet linked below. Thanks.

https://docs.google.com/spreadsheets/d/1qvUJGIa3ULwxroGW07aaV7hSia_9VLZYCVtzYwyehdk/edit?usp=sharing

Software
Version
Resourcemap
2.13.4
DHIS2
2.17
MohawkCR
0.7.2
OpenEMPI
3.0
Apelon DTS
4.1.0.377
OpenHIM
1.0.0
OpenHIM Console
1.0.0
ohie-xds-mediator
???
openinfoman
???
openinfoman-hwr
???
OpenSHR-xds.b
0.4.1
OpenSHR-cdahandler
???
OpenSHR-content handler
2.0.0
OpenSHR-atna
???
OpenSHR-adpater
???
OpenSHR-odd
???

You received this message because you are subscribed to the Google Groups “OpenHIE Architecture” group.

To unsubscribe from this group and stop receiving emails from it, send an email to ohie-architecture+unsubscribe@googlegroups.com.

For more options, visit https://groups.google.com/d/optout.

I’ve edited the OpenHIM related ones.

Cheers,

Ryan

···

On Wed, Jan 14, 2015 at 5:07 PM, Ryan Yates ryan@openmrs.org wrote:

Sorry about that everyone should be able to edit now. I have added iHRIS and the versions for openinfoman.

On Wed, Jan 14, 2015 at 10:04 AM, Carl Leitner cleitner@capacityplus.org wrote:

Hi Ryan,
I don’t have permission to edit (at least not under
litlfred@gmail.com) but for the two OpenInfoMan pieces I have just tagged 1.0 releases that we will be testing against. If we need to make any changes (due to issues arising during CAT testing) we can bump the version.

There is also the (iHRIS) HWR Management Interface, which isn’t below. This will be version 4.2.0.

Cheers,

-carl

On Jan 14, 2015, at 9:33 AM, Ryan Yates ryan@openmrs.org wrote:

Hi all,

I am trying to finalize the versions of software we are going to use for testing. I think it is important we state which versions of software passed IHE and OHIE Integration testing. This way others will know which version is required for a
particular release. i.e. (OHIE Release 1.0 needs OpenHIM 1.0.0)

Below is what I have now, Feel free to add/modify my list or comment on spreadsheet linked below. Thanks.

https://docs.google.com/spreadsheets/d/1qvUJGIa3ULwxroGW07aaV7hSia_9VLZYCVtzYwyehdk/edit?usp=sharing

Software
Version
Resourcemap
2.13.4
DHIS2
2.17
MohawkCR
0.7.2
OpenEMPI
3.0
Apelon DTS
4.1.0.377
OpenHIM
1.0.0
OpenHIM Console
1.0.0
ohie-xds-mediator
???
openinfoman
???
openinfoman-hwr
???
OpenSHR-xds.b
0.4.1
OpenSHR-cdahandler
???
OpenSHR-content handler
2.0.0
OpenSHR-atna
???
OpenSHR-adpater
???
OpenSHR-odd
???

You received this message because you are subscribed to the Google Groups “OpenHIE Architecture” group.

To unsubscribe from this group and stop receiving emails from it, send an email to ohie-architecture+unsubscribe@googlegroups.com.

For more options, visit https://groups.google.com/d/optout.

Ryan Crichton

Lead Developer, Jembi Health Systems | SOUTH AFRICA

Mobile: +27845829934 | Skype: ryan.graham.crichton
E-mail: ryan@jembi.org

Hi @Ryan C.,

Could you also suggest which OpenSHR-xds.b repository tool you are currently using, or what you’d recommend for use ?

Unfortunately, it seems that instructions to setup the OpenSHR-xds.b repository are missing from https://wiki.ohie.org/display/documents/How+to+setup+and+configure+the+OpenHIE+reference+applications :frowning:

···

On Wed, Jan 14, 2015 at 10:11 AM, Ryan Crichton ryan@jembi.org wrote:

I’ve edited the OpenHIM related ones.

Cheers,

Ryan

You received this message because you are subscribed to the Google Groups “OpenHIE Architecture” group.

To unsubscribe from this group and stop receiving emails from it, send an email to ohie-architecture+unsubscribe@googlegroups.com.

For more options, visit https://groups.google.com/d/optout.

On Wed, Jan 14, 2015 at 5:07 PM, Ryan Yates ryan@openmrs.org wrote:

Sorry about that everyone should be able to edit now. I have added iHRIS and the versions for openinfoman.

Ryan Crichton

Lead Developer, Jembi Health Systems | SOUTH AFRICA

Mobile: +27845829934 | Skype: ryan.graham.crichton
E-mail: ryan@jembi.org

On Wed, Jan 14, 2015 at 10:04 AM, Carl Leitner cleitner@capacityplus.org wrote:

Hi Ryan,
I don’t have permission to edit (at least not under
litlfred@gmail.com) but for the two OpenInfoMan pieces I have just tagged 1.0 releases that we will be testing against. If we need to make any changes (due to issues arising during CAT testing) we can bump the version.

There is also the (iHRIS) HWR Management Interface, which isn’t below. This will be version 4.2.0.

Cheers,

-carl

On Jan 14, 2015, at 9:33 AM, Ryan Yates ryan@openmrs.org wrote:

Hi all,

I am trying to finalize the versions of software we are going to use for testing. I think it is important we state which versions of software passed IHE and OHIE Integration testing. This way others will know which version is required for a
particular release. i.e. (OHIE Release 1.0 needs OpenHIM 1.0.0)

Below is what I have now, Feel free to add/modify my list or comment on spreadsheet linked below. Thanks.

https://docs.google.com/spreadsheets/d/1qvUJGIa3ULwxroGW07aaV7hSia_9VLZYCVtzYwyehdk/edit?usp=sharing

Software
Version
Resourcemap
2.13.4
DHIS2
2.17
MohawkCR
0.7.2
OpenEMPI
3.0
Apelon DTS
4.1.0.377
OpenHIM
1.0.0
OpenHIM Console
1.0.0
ohie-xds-mediator
???
openinfoman
???
openinfoman-hwr
???
OpenSHR-xds.b
0.4.1
OpenSHR-cdahandler
???
OpenSHR-content handler
2.0.0
OpenSHR-atna
???
OpenSHR-adpater
???
OpenSHR-odd
???

You received this message because you are subscribed to the Google Groups “OpenHIE Architecture” group.

To unsubscribe from this group and stop receiving emails from it, send an email to ohie-architecture+unsubscribe@googlegroups.com.

For more options, visit https://groups.google.com/d/optout.

Hi Suranga,

I’ve updated that page. Hope that helps.

Cheers,

Ryan

···

On Wed, Jan 14, 2015 at 11:57 PM, Suranga Kasthurirathne surangak@openmrs.org wrote:

Hi @Ryan C.,

Could you also suggest which OpenSHR-xds.b repository tool you are currently using, or what you’d recommend for use ?

Unfortunately, it seems that instructions to setup the OpenSHR-xds.b repository are missing from https://wiki.ohie.org/display/documents/How+to+setup+and+configure+the+OpenHIE+reference+applications :frowning:

On Wed, Jan 14, 2015 at 10:11 AM, Ryan Crichton ryan@jembi.org wrote:

I’ve edited the OpenHIM related ones.

Cheers,

Ryan

You received this message because you are subscribed to the Google Groups “OpenHIE Architecture” group.

To unsubscribe from this group and stop receiving emails from it, send an email to ohie-architecture+unsubscribe@googlegroups.com.

For more options, visit https://groups.google.com/d/optout.

On Wed, Jan 14, 2015 at 5:07 PM, Ryan Yates ryan@openmrs.org wrote:

Sorry about that everyone should be able to edit now. I have added iHRIS and the versions for openinfoman.

Ryan Crichton

Lead Developer, Jembi Health Systems | SOUTH AFRICA

Mobile: +27845829934 | Skype: ryan.graham.crichton
E-mail: ryan@jembi.org

On Wed, Jan 14, 2015 at 10:04 AM, Carl Leitner cleitner@capacityplus.org wrote:

Hi Ryan,
I don’t have permission to edit (at least not under
litlfred@gmail.com) but for the two OpenInfoMan pieces I have just tagged 1.0 releases that we will be testing against. If we need to make any changes (due to issues arising during CAT testing) we can bump the version.

There is also the (iHRIS) HWR Management Interface, which isn’t below. This will be version 4.2.0.

Cheers,

-carl

On Jan 14, 2015, at 9:33 AM, Ryan Yates ryan@openmrs.org wrote:

Hi all,

I am trying to finalize the versions of software we are going to use for testing. I think it is important we state which versions of software passed IHE and OHIE Integration testing. This way others will know which version is required for a
particular release. i.e. (OHIE Release 1.0 needs OpenHIM 1.0.0)

Below is what I have now, Feel free to add/modify my list or comment on spreadsheet linked below. Thanks.

https://docs.google.com/spreadsheets/d/1qvUJGIa3ULwxroGW07aaV7hSia_9VLZYCVtzYwyehdk/edit?usp=sharing

Software
Version
Resourcemap
2.13.4
DHIS2
2.17
MohawkCR
0.7.2
OpenEMPI
3.0
Apelon DTS
4.1.0.377
OpenHIM
1.0.0
OpenHIM Console
1.0.0
ohie-xds-mediator
???
openinfoman
???
openinfoman-hwr
???
OpenSHR-xds.b
0.4.1
OpenSHR-cdahandler
???
OpenSHR-content handler
2.0.0
OpenSHR-atna
???
OpenSHR-adpater
???
OpenSHR-odd
???

You received this message because you are subscribed to the Google Groups “OpenHIE Architecture” group.

To unsubscribe from this group and stop receiving emails from it, send an email to ohie-architecture+unsubscribe@googlegroups.com.

For more options, visit https://groups.google.com/d/optout.

Ryan Crichton

Lead Developer, Jembi Health Systems | SOUTH AFRICA

Mobile: +27845829934 | Skype: ryan.graham.crichton
E-mail: ryan@jembi.org